LibreOffice: XAnimatedImages Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XAnimatedImages Interface Reference

allows administrating a set of images, to be displayed as animated seres. More...

`import "XAnimatedImages.idl";`

Inheritance diagram for XAnimatedImages:

## Exported Interfaces
interface | ::com::sun::star::container::XContainer
| allows other components to observer the insertion, removal, and replacement of image sets

## Public Member Functions
long | getImageSetCount ()
| returns the number of images sets maintained by the component.
sequence< string > | getImageSet ([in] long iIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| returns the URLs of the image set with the given index
void | insertImageSet ([in] long iIndex, [in] sequence< string > iImageURLs) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sets the URLs of the image set with the given index
void | replaceImageSet ([in] long iIndex, [in] sequence< string > iImageURLs) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| replaces the image set given by index with a new one
void | removeImageSet ([in] long iIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| removes the image set with the given index
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Public Attributes
long | StepTime
| specifies the time in milliseconds between two animation steps.
boolean | AutoRepeat
| specifies whether the animation should start over with the first image of the image series when the last image has been played.
short | ScaleMode
| controls the way the images are scaled up or down, when the available space is larger or smaller than what is needed for them.

## Detailed Description

allows administrating a set of images, to be displayed as animated seres.

Components implementing this interface maintain a variable number of image sets. Components displaying those images will choose the best-fitting image set depending on the available space, and possibly other restrictions.

Since
  OOo 3.4

## Exported Interfaces

## ◆ ::com::sun::star::container::XContainer

interface ::com::sun::star::container::XContainer

allows other components to observer the insertion, removal, and replacement of image sets

## Member Function Documentation

## ◆ getImageSet()

sequence< string > getImageSet | ( | [in] long | iIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

returns the URLs of the image set with the given index

Parameters

  iIndex | the index of the set those image URLs are to be retrieved. Must be greater than or equal to `0`, and smaller than the value returned by getImageSetCount().

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the `iIndex` is not a valid index.

## ◆ getImageSetCount()

long getImageSetCount | ( |  | ) |

returns the number of images sets maintained by the component.

## ◆ insertImageSet()

void insertImageSet | ( | [in] long | iIndex,
|  | [in] sequence< string > | iImageURLs )
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

sets the URLs of the image set with the given index

Parameters

  iIndex | the index at which a new image set should be inserted. Must be greater than or equal to `0`, and smaller than or equal to the value returned by getImageSetCount().
  iImageURLs | the URLs for the images for the given set. Will be resolved using a com::sun::star::graphic::GraphicProvider.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the `iIndex` is not a valid index.

## ◆ removeImageSet()

void removeImageSet | ( | [in] long | iIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

removes the image set with the given index

Parameters

  iIndex | the index of the set to remove. Must be greater than or equal to `0`, and smaller than the value returned by getImageSetCount().

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the `iIndex` is not a valid index.

## ◆ replaceImageSet()

void replaceImageSet | ( | [in] long | iIndex,
|  | [in] sequence< string > | iImageURLs )
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

replaces the image set given by index with a new one

Parameters

  iIndex | the index of the set those image URLs are to be replaced. Must be greater than or equal to `0`, and smaller than the value returned by getImageSetCount().
  iImageURLs | the URLs for the images for the given set. Will be resolved using a com::sun::star::graphic::GraphicProvider.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the `iIndex` is not a valid index.

## Member Data Documentation

## ◆ AutoRepeat

boolean AutoRepeat
| attribute

specifies whether the animation should start over with the first image of the image series when the last image has been played.

The default value for this attribute is TRUE.

## ◆ ScaleMode

short ScaleMode
set raises | ( | ::com::sun::star::lang::IllegalArgumentException ) |  |  |
| attribute

controls the way the images are scaled up or down, when the available space is larger or smaller than what is needed for them.

Allowed values are those from the ImageScaleMode constants group.

## ◆ StepTime

long StepTime
| attribute

specifies the time in milliseconds between two animation steps.

This is the minimum time, the actual value might be longer due to system load. The default value will be 100 ms.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XAnimatedImages.idl